package w3c.rtsp.common;

import java.io.*;
import java.util.*;
import java.net.*;
import java.awt.*;


public class TransportHeader {

  protected String transport=null;
  protected int port=-1;

  public TransportHeader(String transport,int port){
    this.transport=transport;
    this.port=port;
  }

  public TransportHeader(){
    this.transport=null;
    this.port=-1;
  }

  public void setTransport(String transport){
    this.transport=transport;
  }

  public void setPort(int port){
    this.port=port;
  }

  public String getTransport(){
    return this.transport;
  }

  public int getPort(){
    return this.port;
  }
    
  public void emit(PrintWriter output){
    if(this.transport!=null)
      output.print("Transport: "+this.transport+";port="+this.port+"\r\n");
  }
}
